Skip to Content

Discard held malware

Permanently removes isolated malware from the mailbox's held list.

POST
/v1/mailboxes/{id}/spam/held/{messageId}/discard

Permanently removes isolated malware from the mailbox's held list. Publishes one mailbox.message.discarded event. Retrying returns the same result and publishes nothing. Delete readable Spam through the thread delete endpoint. Only a person with spam.discard can discard held mail.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
messageId*string
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

MailboxSpamHeldMessage

application/json
  1. response
id*MessageId
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$
disposition*string
Value in"quarantined""isolated"
reason*string
Value in"spam""dmarc""virus""virus_unscanned""verdict_missing""phishing""fraud""prompt_injection"
source*string
Value in"receipt""classifier"
from*
subject*string|null
receivedAt*string
heldAt*string
releasedAt*string|null
threadId*|null
discardedAt*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.discardSpamHeld({
  "id": "example",
  "messageId": "example"
});
Example Response
{
  "id": "string",
  "disposition": "quarantined",
  "reason": "spam",
  "source": "receipt",
  "from": {
    "address": "string",
    "name": "string"
  },
  "subject": "string",
  "receivedAt": "string",
  "heldAt": "string",
  "releasedAt": "string",
  "threadId": "string",
  "discardedAt": "string"
}

Related documentation